## wine 5.0~rc1

=== debian/changelog ===
wine (5.0~rc1-1) unstable; urgency=medium

  * New upstream release 5.0-rc1, released Dec 13, 2019.
    - Initial version of the MSADO (ActiveX Data Objects) library.
    - Update installation support in the WUSA (Windows Update
      Standalone) tool.
    - More progress on the kernel32/kernelbase restructuring.
    - Support for signing with ECDSA keys.
    - Various bug fixes.
  * Switch to the stable branch.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 18 Dec 2019 04:29:59 +0000

wine-development (4.21-2) unstable; urgency=medium

  * Fix compiler warnings on arm64.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 14 Dec 2019 18:58:33 +0000

wine-development (4.21-1) unstable; urgency=medium

  * New upstream release 4.21, released Nov 29, 2019.
    - HTTP proxy configuration through DHCP.
    - Parameter block support in D3DX9.
    - A few more dlls converted to PE.
    - Various bug fixes.
  * Make the clean rule more robust.
  * Treat compiler warnings as errors again.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 30 Nov 2019 00:17:37 +0000

wine-development (4.20-1) unstable; urgency=medium

  * New upstream release 4.20, released Nov 15, 2019.
    - New version of the Mono engine with an FNA update.
    - Code persistence in VBScript and JScript.
    - Vulkan spec updates.
    - Improved support for LLVM MinGW.
    - Fix msi regression, not installing dotnet35sp1 (closes: #940192).
    - Various bug fixes.
  * Refresh patches, several compiler warnings fixed upstream.

 -- Jens Reyer <jre.winesim@gmail.com>  Sun, 17 Nov 2019 22:43:00 +0100

wine-development (4.19-1) unstable; urgency=medium

  [ Jens Reyer ]
  * New upstream release 4.19, released Nov 1, 2019.
    - A number of additional VBScript features.
    - More stateblock support in WineD3D.
    - Some fixes for ARM64 support.
    - Add the new image path to the dll path (closes: #943894).
    - Various bug fixes.
  * Refresh patches.

  [ Michael Gilbert ]
  * Fix format-overflow warning in dnsapi.

 -- Jens Reyer <jre.winesim@gmail.com>  Sat, 02 Nov 2019 01:33:38 +0100

wine-development (4.18-1) unstable; urgency=medium

  * New upstream release 4.18, released Oct 18, 2019.
    - Many new VBScript functions.
    - A number of cleanups and improvements in Quartz.
    - Fixes for several test failures.
    - Various bug fixes.
  * Set fields Upstream-Name in debian/copyright.
  * Set debhelper compatibility level to 12 (closes: #910932).
  * Update standards version to 4.4.1 (no changes required).
  * Automatic cleanup of ancient changelog entries.

 -- Jens Reyer <jre.winesim@gmail.com>  Mon, 21 Oct 2019 19:48:44 +0200

wine-development (4.17-1) unstable; urgency=medium

  * New upstream release 4.17, released Sep 27, 2019.
    - New version of the Mono engine with upstream fixes.
    - Support for DXTn compressed textures.
    - Initial version of the Windows Script runtime library.
    - Support for XRandR device change notifications.
    - Support for generating RSA keys.
    - Stubless proxies support on ARM64.
    - Various bug fixes.
  * Refresh patches.
  * Add dxvk to bug-control.
  * Fix debianization/addons.patch.

 -- Jens Reyer <jre.winesim@gmail.com>  Sat, 28 Sep 2019 01:25:23 +0200

wine-development (4.16-1) unstable; urgency=medium

  * New upstream release 4.16, released Sep 13, 2019.
    - More reliable mouse grabbing in games.
    - Better cross-compilation support in WineGCC.
    - Improved compatibility with Windows debuggers.
    - Various bug fixes.
  * Refresh patches.

 -- Jens Reyer <jre.winesim@gmail.com>  Thu, 19 Sep 2019 22:57:13 +0200

wine-development (4.15-1) unstable; urgency=medium

  * New upstream release 4.15, released Aug 30, 2019.
    - Initial implementation of the HTTP service.
    - Stack unwinding support on ARM64.
    - Better multi-monitor support on macOS.
    - RichEdit control optimizations.
    - Various bug fixes.
  * Refresh patches.
    Drop warnings/printf-null.patch part for dlls/twain_32/dsm_ctrl.c,
    fixed upstream.

 -- Jens Reyer <jre.winesim@gmail.com>  Wed, 18 Sep 2019 21:14:34 +0200

wine-development (4.14-1) unstable; urgency=medium

  * New upstream release 4.14, released Aug 16, 2019.
    - New version of the Mono engine with upstream updates.
    - PE dlls no longer rely on the MinGW runtime.
    - Exception handling fixes on ARM64.
    - Various bug fixes.
  * Refresh patches.
    Drop warnings/arm64-dword.patch, fixed upstream.
  * Recommend or suggest gstreamer plugins (LP: #1817244).

 -- Jens Reyer <jre.winesim@gmail.com>  Wed, 18 Sep 2019 01:06:46 +0200

wine-development (4.13-1) unstable; urgency=medium

  * New upstream release 4.13, released Aug 2, 2019.
    - Support for Passport HTTP redirects.
    - A bunch of header updates.
    - Various bug fixes.
  * Refresh patches.

 -- Jens Reyer <jre.winesim@gmail.com>  Mon, 16 Sep 2019 23:50:29 +0200

wine-development (4.12.1-1) unstable; urgency=medium

  * New upstream release 4.12.1, released Jul 7, 2019.
    - Fixes for broken 64-bit prefix initialization.
  * New upstream release 4.12, released Jul 5, 2019.
    - Still more DLLs are built as PE files by default.
    - Support for Plug & Play device drivers.
    - Better support for the Visual Studio remote debugger.
    - More support for enumerating display devices.
    - Various bug fixes.
  * Refresh patches.
    Update debianization/addons.patch.
  * README.debian: mention additional addon search path /opt/wine/gecko/.
  * Build-depend on libsane-dev.
  * Configure without-mingw, but drop the build-conflicts on mingw-w64.

 -- Jens Reyer <jre.winesim@gmail.com>  Mon, 16 Sep 2019 22:29:23 +0200

wine-development (4.11-1) unstable; urgency=medium

  * New upstream release 4.11, released Jun 21, 2019.
    - Updated version of the Mono engine, including Windows.Forms.
    - More DLLs are built as PE files by default.
    - Faster implementation of Slim Reader/Writer locks on Linux.
    - Initial support for enumerating display devices.

