## wine 5.0~rc3

=== debian/changelog ===
wine (5.0~rc3-1ubuntu1) focal; urgency=medium

  * Fix build failure with missing sysctl in newer glibc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jan 2020 10:42:18 +0100

wine (5.0~rc3-1) unstable; urgency=medium

  * New upstream release 5.0-rc3, released Dec 27, 2019.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 18 Jan 2020 18:46:51 +0000

wine (5.0~rc2-1) unstable; urgency=medium

  * New upstream release 5.0-rc2, released Dec 20, 2019.
  * Build with support for libunwind.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 12 Jan 2020 21:08:44 +0000

wine (5.0~rc1-2) unstable; urgency=medium

  * Build using system zlib.
  * Handle upstream temporary directory refactoring (closes: #946951).
  * Restore wine-binfmt and fonts-wine binary packages (closes: #946939).
  * Use debhelper compat 9 to avoid automatically rerunning autoreconf every
    time debian/rules binary is executed.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 06 Jan 2020 03:32:52 +0000
