## wine 5.0~rc4

=== debian/changelog ===
wine (5.0~rc4-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - fix-bad-comparison.patch
    - for-loop.patch
    - Fix build failure with missing sysctl in newer glibc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jan 2020 23:41:51 +0100

wine (5.0~rc4-1) unstable; urgency=medium

  * New upstream release 5.0-rc4, released Jan 3, 2020.
  * Include more detail in README.debian about wine-binfmt.
  * Update standards version to 4.5.0 (no changes required).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 25 Jan 2020 14:12:35 +0000

wine (5.0~rc3-1ubuntu2) focal; urgency=medium

  * Restore also fix-bad-comparison.patch and for-loop.patch for arm64 build
    failures

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jan 2020 11:43:01 +0100
