## wine 5.0~rc5

=== debian/changelog ===
wine (5.0~rc5-1build1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Fix build failure with missing sysctl in newer glibc
      (drop for-loop: upstream, and keep bad-comparison commented)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 02 Feb 2020 08:40:22 +0100

wine (5.0~rc5-1) unstable; urgency=medium

  * New upstream release 5.0-rc5, released Jan 11, 2020.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 01 Feb 2020 12:07:28 +0000
