## wine 5.0~rc6

=== debian/changelog ===
wine (5.0~rc6-1build1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - fix-bad-comparison.patch
    - Fix build failure with missing sysctl in newer glibc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Feb 2020 18:10:18 +0100

wine (5.0~rc6-1) unstable; urgency=medium

  * New upstream release 5.0-rc6, released Jan 17, 2020.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 10 Feb 2020 02:10:42 +0000

wine (5.0~rc5-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - fix-bad-comparison.patch
    - Fix build failure with missing sysctl in newer glibc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 02 Feb 2020 08:40:22 +0100
