=== debian/rules ===
--- 
+++ 
@@ -126,7 +126,7 @@
 	sed s/VERSION/$(VERSION)/g < $< > $@
 
 %:
-	dh $@
+	dh $@ --parallel --with autoreconf
 
 override_dh_auto_configure:
 	# output compiler information
@@ -214,4 +214,3 @@
 	./debian/scripts/sonames2elf $(sonamesRecommends) > debian/tmp/elf.recommends
 	dpkg-shlibdeps --warnings=1 \
 	    -pdlopen \
-	    -dDepends -edebian/tmp/elf.depends \
