## wine 5.0

=== debian/changelog ===
wine (5.0-3ubuntu1) focal; urgency=medium

  * Fix build with unicode 13 (Closes: #954132)
  * Fix build on arm64 with recent Clang

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Apr 2020 14:57:57 +0000

wine (5.0-3) unstable; urgency=medium

  * Support building with clang 9 on arm64 (closes: #951507).
    - Thanks to Gianfranco Costamagna.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 18 Feb 2020 02:12:43 +0000

wine (5.0-2) unstable; urgency=medium

  * Support building with gcc 10.
  * Add support for glibc 2.30 (closes: #947884).
    - Thanks to Gianfranco Costamagna.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 16 Feb 2020 07:45:30 +0000

wine (5.0-1) unstable; urgency=medium

  * New upstream release 5.0, released Jan 21, 2020.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 10 Feb 2020 03:06:58 +0000
