=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: otherosfs
 Priority: optional
 Homepage: https://www.winehq.org
-Maintainer: Debian Wine Party <debian-wine@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Wine Party <debian-wine@lists.debian.org>
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
  Stephen Kitt <skitt@debian.org>,
@@ -29,8 +30,8 @@
  librsvg2-bin,
  fontforge-nox,
  khronos-api (>= 4.6),
- unicode-data (>= 11),
- unicode-data (<< 13),
+ unicode-data (>= 13),
+ unicode-data (<< 14),
  libxi-dev,
  libxt-dev,
  libxmu-dev,
