=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,9 @@
 
 # linker options
 export DEB_LDFLAGS_MAINT_APPEND+=-Wl,-rpath,/$(LIBDIR)
+
+# gcc 10 defaults to -fno-common but wine assumes -fcommon, so set it manually
+export DEB_CFLAGS_MAINT_APPEND+=-fcommon
 
 # ignore shift overflow warnings (currently only an issue on arm)
 export DEB_CFLAGS_MAINT_APPEND+=-Wno-shift-overflow
@@ -211,6 +214,3 @@
 override_dh_shlibdeps:
 	mkdir -p debian/tmp
 	./debian/scripts/sonames2elf $(sonamesDepends) > debian/tmp/elf.depends
-	./debian/scripts/sonames2elf $(sonamesRecommends) > debian/tmp/elf.recommends
-	dpkg-shlibdeps --warnings=1 \
-	    -pdlopen \
