## wine 5.0.3

=== debian/changelog ===
wine (5.0.3-3) unstable; urgency=medium

  * Ignore new compiler warnings on arm64.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 16 Jan 2021 14:05:42 +0000

wine (5.0.3-2) unstable; urgency=medium

  * Work around array bounds compiler warnings (closes: #980048).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 16 Jan 2021 01:20:17 +0000

wine (5.0.3-1) unstable; urgency=medium

  * New upstream release 5.0.3, released Nov 10, 2020.
    - Fix compilation with gcc 10 (closes: #957936).
  * Fix incorrect uses of sizeof (closes: #971759).
    - Thanks to Yuri Konotopov.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 10 Jan 2021 21:42:51 +0000

wine (5.0-4) unstable; urgency=medium

  * Switch to git branches 'bullseye' and 'upstream-stable'.
  * Support building with unicode-data 13 (closes: #954132).
    - Thanks to Graham Inggs.

 -- Jens Reyer <jre.winesim@gmail.com>  Mon, 20 Apr 2020 20:49:41 +0200
