=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: otherosfs
 Priority: optional
 Homepage: https://www.winehq.org
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Wine Party <debian-wine@lists.debian.org>
+Maintainer: Debian Wine Party <debian-wine@lists.debian.org>
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
  Stephen Kitt <skitt@debian.org>,
  Jens Reyer <jre.winesim@gmail.com>,
-Vcs-Git: https://salsa.debian.org/wine-team/wine.git
-Vcs-Browser: https://salsa.debian.org/wine-team/wine
+Vcs-Git: https://salsa.debian.org/wine-team/wine.git -b bullseye
+Vcs-Browser: https://salsa.debian.org/wine-team/wine/tree/bullseye
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Build-Depends:
