=== debian/rules ===
--- 
+++ 
@@ -90,7 +90,7 @@
 ifeq ($(DEB_HOST_ARCH), arm64)
 export CC=clang
 export CXX=clang++
-export DEB_CFLAGS_MAINT_APPEND+=-Wno-enum-conversion -Wno-absolute-value
+export DEB_CFLAGS_MAINT_APPEND+=-Wno-enum-conversion -Wno-absolute-value -Wno-misleading-indentation -Wno-implicit-const-int-float-conversion -Wno-sizeof-array-div
 endif
 
 # use date of the latest changelog update as the build date
@@ -213,4 +213,3 @@
 
 override_dh_shlibdeps:
 	mkdir -p debian/tmp
-	./debian/scripts/sonames2elf $(sonamesDepends) > debian/tmp/elf.depends
