## wine 5.2~bullseye

=== debian/changelog ===
wine (5.2~bullseye) UNRELEASED; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Mon, 17 Feb 2020 03:30:07 +0000

wine (5.2) UNRELEASED; urgency=low

 * Update to 5.2 development release.  Sun, 16 Feb 2020 15:49:10 -0600
 
 -- Rosanne DiMesio <dimesio@earthlink.net>   
