=== debian/control ===
Source: wine
Section: otherosfs
Priority: optional
Maintainer: Rosanne DiMesio <dimesio@earthlink.net>, Marcus Meissner <meissner@suse.com>
XSBC-Original-Maintainer: WineHQ Builds <webmaster@fds-team.de>
Build-Depends: autotools-dev,
               autoconf,
               bison,
               bsdmainutils,
               debhelper (>= 9),
               docbook-to-man,
               docbook-utils,
               docbook-xsl,
               flex,
               fontforge,
               gawk,
               gcc,
               gettext,
               libacl1-dev,
               libasound2-dev,
               libcapi20-dev,
               libcups2-dev,
               libdbus-1-dev,
               libfontconfig1-dev | libfontconfig-dev,
               libfreetype6-dev,
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libgnutls30-dev | libgnutls28-dev | libgnutls-dev,
               libgphoto2-dev | libgphoto2-6-dev | libgphoto2-2-dev (>= 2.4.6),
               libgsm1-dev,
               libgstreamer1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgtk-3-dev,
               libice-dev,
               libjpeg-dev,
               libkrb5-dev,
               liblcms2-dev,
               libldap2-dev, libldap-dev,
               libmpg123-dev,
               libncurses6-dev | libncurses5-dev | libncurses-dev,
               libopenal-dev (>= 1:1.12),
               libosmesa6-dev,
               libpcap-dev,
               libpng-dev | libpng12-dev,
               libpulse-dev,
               libsane-dev,
               libsdl2-dev,
               libssl-dev,
               libstdc++6-4.5-dev | libstdc++-dev,
               libtiff5-dev | libtiff4-dev | libtiff-dev,
               libudev-dev,
               libv4l-dev,
               libx11-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxext-dev,
               libxi-dev,
               libxinerama-dev,
               libxml2-dev,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               libxxf86vm-dev,
               linux-kernel-headers,
               linux-libc-dev,
               ocl-icd-opencl-dev,
               patch,
               perl,
               prelink,
               sharutils,
               unixodbc-dev,
               x11proto-xinerama-dev
Standards-Version: 3.9.5

Package: wine-devel-i386
Architecture: i386
Multi-Arch: foreign
Pre-Depends: dpkg (>= 1.14.12ubuntu3), ${misc:Pre-Depends}
Depends:    ${shlibs:Depends},
            libasound2-plugins,
            libncurses6 | libncurses5 | libncurses
Recommends: libcapi20-3,
            libcups2,
            libdbus-1-3,
            libfontconfig1,
            libfreetype6,
            libglu1-mesa | libglu1,
            libgnutls30 | libgnutls28 | libgnutls26,
            libgsm1,
            libgssapi-krb5-2,
            libjpeg62-turbo | libjpeg8,
            libkrb5-3,
            libodbc1,
            libosmesa6,
            libpng16-16 | libpng12-0,
            libsane | libsane1,
            libsdl2-2.0-0,
            libtiff5,
            libv4l-0,
            libxcomposite1,
            libxcursor1,
            libxfixes3,
            libxi6,
            libxinerama1,
            libxrandr2,
            libxrender1,
            libxslt1.1,
            libxxf86vm1 
Section: otherosfs
Priority: optional
Description: WINE Is Not An Emulator - runs MS Windows programs
 Wine is a program which allows running Microsoft Windows programs
 (including DOS, Windows 3.x and Win32 executables) on Unix.
 .
 This package contains the files needed to support 32-bit Windows
 programs.

Package: wine-devel-amd64
Architecture: amd64
Multi-Arch: foreign
Pre-Depends: dpkg (>= 1.14.12ubuntu3), ${misc:Pre-Depends}
Depends:    ${shlibs:Depends},
            libasound2-plugins,
            libncurses6 | libncurses5 | libncurses
Recommends: libcapi20-3,
            libcups2,
            libdbus-1-3,
            libfontconfig1,
            libfreetype6,
            libglu1-mesa | libglu1,
            libgnutls30 | libgnutls28 | libgnutls26,
            libgsm1,
            libgssapi-krb5-2,
            libjpeg62-turbo | libjpeg8,
            libkrb5-3,
            libodbc1,
            libosmesa6,
            libpng16-16 | libpng12-0,
            libsane | libsane1,
            libsdl2-2.0-0,
            libtiff5,
            libv4l-0,
            libxcomposite1,
            libxcursor1,
            libxfixes3,
            libxi6,
            libxinerama1,
            libxrandr2,
            libxrender1,
            libxslt1.1,
            libxxf86vm1 
Section: otherosfs
Priority: optional
Description: WINE Is Not An Emulator - runs MS Windows programs
 Wine is a program which allows running Microsoft Windows programs
 (including DOS, Windows 3.x and Win32 executables) on Unix.
 .
 This package contains the files needed to support 64-bit Windows
 programs.

Package: wine-devel
Architecture: i386 amd64 
Multi-Arch: foreign
Pre-Depends: dpkg (>= 1.14.12ubuntu3), ${misc:Pre-Depends}
Depends:    ${misc:Depends}, ${shlibs:Depends},
            wine-devel-i386  (= ${binary:Version}) [i386 amd64],
            wine-devel-amd64 (= ${binary:Version}) [amd64],
Section: otherosfs
Priority: optional
Description: WINE Is Not An Emulator - runs MS Windows programs
 Wine is a program which allows running Microsoft Windows programs
 (including DOS, Windows 3.x and Win32 executables) on Unix. It
 consists of a program loader which loads and executes a Microsoft
 Windows binary, and a library (called Winelib) that implements Windows
 API calls using their Unix or X11 equivalents.  The library may also
 be used for porting Win32 code into native Unix executables.

Package: wine-devel-dev
Architecture: i386 amd64 armhf
Pre-Depends: dpkg (>= 1.14.12ubuntu3), ${misc:Pre-Depends}
Depends:    libc6-dev,
            ${shlibs:Depends},
            wine-devel-i386  (= ${binary:Version}) [i386 amd64],
            wine-devel-amd64 (= ${binary:Version}) [amd64],
Section: libdevel
Priority: optional
Description: WINE Is Not An Emulator - runs MS Windows programs
 Wine is a program which allows running Microsoft Windows programs
 (including DOS, Windows 3.x and Win32 executables) on Unix.
 .
 This package contains the libraries and header files needed to
 develop programs which make use of Wine.

Package: wine-devel-dbg
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: dpkg (>= 1.14.12ubuntu3), ${misc:Pre-Depends}
Depends:    ${shlibs:Depends},
            wine-devel-i386  (= ${binary:Version}) [i386 amd64],
            wine-devel-amd64 (= ${binary:Version}) [amd64],
Section: debug
Priority: optional
Description: WINE Is Not An Emulator - runs MS Windows programs
 Wine is a program which allows running Microsoft Windows programs
 (including DOS, Windows 3.x and Win32 executables) on Unix.
 .
 This package includes debugging symbols useful for reporting crashes
 and other failures.

Package: winehq-devel
Architecture: i386 amd64
Depends: wine-devel (= ${binary:Version}), ${misc:Depends}
Section: otherosfs
Priority: optional
Replaces:   wine, wine1.4, wine1.5, wine1.6, wine1.7, wine-i386, wine1.4-i386,
            wine1.5-i386, wine1.6-i386, wine1.7-i386, wine-amd64, wine1.4-amd64,
            wine1.5-amd64, wine1.6-amd64, wine1.7-amd64, wine32, wine64
Conflicts:  wine, wine-i386, wine-amd64
Provides:   wine, wine1.4, wine1.5, wine1.6, wine1.7, wine-i386, wine1.4-i386,
            wine1.5-i386, wine1.6-i386, wine1.7-i386, wine-amd64 [amd64],
            wine1.4-amd64 [amd64], wine1.5-amd64 [amd64], wine1.6-amd64 [amd64],
            wine1.7-amd64 [amd64], wine32, wine64 [amd64]
Description: WINE Is Not An Emulator - runs MS Windows programs
 Wine is a program which allows running Microsoft Windows programs
 (including DOS, Windows 3.x and Win32 executables) on Unix.
 .
 This compatibility package allows to use wine-devel system-wide as
 the default Wine version.
