## wine 5.2~focal

=== debian/changelog ===
wine (5.2~focal) UNRELEASED; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Tue, 18 Feb 2020 03:54:52 +0000
